#
#   gbsdef.sh
#   Define GBS functions
#   This file must be sourced with . (dot)
#
#   List all functions:		declare -f
#   List all function names:	declare -F
#   List function x:		declare -f x
#
function bgpids { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/bgpids.pl $* ; }
function fixeol { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/fixeol.pl $* ; }
function gbsdebug { . $GBS_SCRIPTS_PATH/gbsdebug.sh $* ; }

unalias gbs 2>/dev/null
function gbs { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsshow.pl $* ; }
function gbsaudit { . $GBS_SCRIPTS_PATH/gbsaudit.sh $* ; }
function gbsbg { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsbg.pl $* ; }
function gbsbldcheck { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsbldcheck.pl $* ; }
function gbsbldaudit { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsbldcheck.pl $* ; }
function gbsedit { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsedit.pl $* ; }
function gbsexport { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsexport.pl $* ; }
function gbsgen { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsgen.pl $* ; }
function gbshelp { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbshelp.pl $* ; }
function gbslocate { . $GBS_SCRIPTS_PATH/gbslocate.sh $* ; }
function gbsmaint { . $GBS_SCRIPTS_PATH/gbsmaint.sh $* ; }
function gbsmake { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsmake.pl $* ; }
function gbsmakemake { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsmakemake.pl $* ; }
function gbsman { more $GBS_SCRIPTS_PATH/gbsman.txt; }
function gbsscm { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsscm.pl $* ; }
function gbssetup { . $GBS_SCRIPTS_PATH/gbssetup.sh $* ; }
function gbsshow { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsshow.pl $* ; }
function gbssilo { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssilo.pl $* ; }
function gbsstart { $GBS_SCRIPTS_PATH/gbsstart.sh $* ; }
function gbsstart_here { $GBS_SCRIPTS_PATH/gbsstart_here.sh $* ; }
function gbsstats { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsstats.pl $* ; }
function gbsswc { . $GBS_SCRIPTS_PATH/gbsswc.sh $* ; }
function gbsswr { . $GBS_SCRIPTS_PATH/gbsswr.sh $* ; }
function gbssws { . $GBS_SCRIPTS_PATH/gbssws.sh $* ; }
function gbsswt { . $GBS_SCRIPTS_PATH/gbsswt.sh $* ; }
function gbsswa { . $GBS_SCRIPTS_PATH/gbsswa.sh $* ; }
function gbssysall { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssysall.pl $* ; }
function gbssysaudit { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssysaudit.pl $* ; }
function gbssysgen { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssysgen.pl $* ; }
function gbssysmake { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssysmake.pl $* ; }
function gbssystool { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssystool.pl $* ; }
function gbswhich { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbswhich.pl $* ; }
function gbsxref { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsxref.pl $* ; }
function gbsexit { . $GBS_SCRIPTS_PATH/gbsexit.sh $* ; }
function gbsuninstall { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsuninstall.pl $* ; }

function scm { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsscm.pl $* ; }

function proto { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/proto.pl $* ; }
function detab { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/detab.pl $* ; }
function wordrep { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/wordrep.pl $* ; }
function filerep { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/filerep.pl $* ; }
function win2unix { $GBS_SCRIPTS_PATH/StandAlone/win2unix.sh $* ; }

function swc { . $GBS_SCRIPTS_PATH/gbsswc.sh $* ; }
function swr { . $GBS_SCRIPTS_PATH/gbsswr.sh $* ; }
function sws { . $GBS_SCRIPTS_PATH/gbssws.sh $* ; }
function swt { . $GBS_SCRIPTS_PATH/gbsswt.sh $* ; }
function swa { . $GBS_SCRIPTS_PATH/gbsswa.sh $* ; }

#
#   Directory Navigation Commands
#
alias cdgbs='cd $GBS_SCRIPTS_PATH/;pwd'
alias cdbase='cd "$GBS_BASE_PATH"/;pwd'
alias cdlog='cd "$GBS_LOG_PATH"/;pwd'

alias cdroot='cd "$GBS_ROOT_PATH"/;pwd'
alias cddev='cd "$GBS_ROOT_PATH"/dev/;pwd'
alias cddoc='cd "$GBS_ROOT_PATH"/doc/;pwd'
alias cdext='cd "$GBS_ROOT_PATH"/ext/;pwd'
alias cdres='cd "$GBS_ROOT_PATH"/res/;pwd'
alias cdtmp='cd "$GBS_ROOT_PATH"/tmp/;pwd'
alias cdsilo='cd "$GBS_ROOT_PATH"/silo/;pwd'
alias cdsys='cd "$GBS_ROOT_PATH"/sys/;pwd'
alias cdsysaudit='cd "$GBS_ROOT_PATH"/sysaudit/;pwd'
alias cdsysbuild='cd "$GBS_ROOT_PATH"/sysbuild/;pwd'
alias cdsystools='cd "$GBS_ROOT_PATH"/systools/;pwd'

alias cdsub='cd "$GBS_SUBSYS_PATH"/;pwd'
alias cdbuild='cd "$GBS_SUBSYS_PATH"/build/;pwd'
alias cdaudit='cd "$GBS_SUBSYS_PATH"/audit/;pwd'
alias cdtools='cd "$GBS_SUBSYS_PATH"/tools/;pwd'
alias cdcomp='cd "$GBS_SUBSYS_PATH"/comp/;pwd'
alias cdimport='cd "$GBS_SUBSYS_PATH"/import/;pwd'
alias cdexport='cd "$GBS_SUBSYS_PATH"/\export/;pwd'

alias cdapp='cd "$GBS_SUBSYS_PATH"/app;pwd'

alias cdcomponent='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT;pwd'
alias cdsrc='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/src/;pwd'
alias cdinc='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/inc/;pwd'
alias cdloc='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/loc/;pwd'
alias cdbld='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/bld/;pwd'
alias cdaud='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/aud/;pwd'
alias cddat='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/dat/;pwd'
alias cdsav='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/sav/;pwd'
alias cdopt='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/opt/;pwd'
alias cdtarget='cd "$GBS_SUBSYS_PATH"/comp/$GBS_COMPONENT/bld/$GBS_TARGET/;pwd'

