#!must_be_sourced
#
#   gbssws.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

if [[ $GBS_PID == '' ]]
then
    echo "GBSSW_: ** GBS not started for this subprocess: Use 'gbs' or 'gbsstart' **"
    GBS_RC=1
else
    \export GBS_SWS_FILE=~/tmp/GBSSWS_RESULT_`hostname`_$GBS_PID.tmp
    \rm -f $GBS_SWS_FILE 2> /dev/null
    $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssws.pl $*
    GBS_RC=$?
    set --

    #
    #   Selectively setup the environment
    #
    if [[ $GBS_RC -eq 0 && -f $GBS_SWS_FILE ]]
    then
	#
	#   Execute the setup of environment variables
	#
	. $GBS_SWS_FILE
	GBS_RC=$?
    fi
    \rm -f $GBS_SWS_FILE 2> /dev/null
    unset GBS_SWS_FILE
fi

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
bash -c "exit $GBS_RC" # set $?

## EOF ##
