#===============================================================
#
#   winat.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
use strict;
use warnings;
use integer;
print "*WINAT @ARGV\n" if ($ENV{GBSDEBUG_FILE});





use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::args;
use glo::banner;
use glo::time;




sub mylog($);
sub numtime($);
sub get_command_args();




my ($FUNCTION,	    # 'Q'
$JOBNAME,
$DELAY,	    # in minutes
$MAIL,	    # Boolean. Not used
$COMMAND,
@COMMAND_ARGS);

my $RC = 0;

$| = 1;






{
get_command_args();

BANNER_print( 'JOB', [ "GBS Batch Job - $JOBNAME" ]);
mylog( "Job Name: $JOBNAME");

if ($DELAY > 0)
{
my $delay = numtime( $DELAY * 60);
mylog( "Waiting $DELAY minute(s) till $delay...");
sleep( $DELAY * 60);
}

mylog( 'Starting');

my $command_line = "$COMMAND @COMMAND_ARGS";
ENV_say( 0, $command_line);
mylog( "Redirecting output to logfile")
if ($command_line =~ />/);

mylog( "Busy...");
$RC = system( "$COMMAND @COMMAND_ARGS") >> 8;

mylog( "Done ($RC)");


}




exit $RC;




END
{
ENV_print_end_msg( 1);
}




sub mylog($)
{
my ($line,
) = @_;

my $now = numtime( 0);
ENV_say( 1, "$now: $line");
}




sub numtime($)
{
my ($delta,	    #	minutes
) = @_;


my $time = time() + $delta;
return TIME_time2num( $time);
}




sub get_command_args()
{
($FUNCTION,
$JOBNAME,
$DELAY,
$MAIL,
$COMMAND,
@COMMAND_ARGS) = ARGS_get( [5], 'winat Q <jobname> <delay> <mail> <command> [<args>...]', undef);

if ($FUNCTION eq 'Q')
{

} else
{
ARGS_error_exit( "First parameter ($FUNCTION) must be 'Q'");
}
}


