#===============================================================
#
#   cpptest.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
#
#   Call:
#	arg_1	= file_name	(without type)
#	arg_2	= in_filespec	(relative file spec - file_name + type
#	arg_3	= out_file_base (relative file spec - with in file type)
#	arg_4	= out_file_dir	(relative file spec - directory only)
#	arg_5	= audit_name
#	arg_6-N = command_flags (from command line)
#   Environment:
#	General:
#	    GBS_INCS		Include paths ( -I<dir> ... )
#	    GBS_SYSINCS 	System include paths ( -SI<dir> ... )
#	    GBS_AUDIT_FLAGS	Passed from session
#	    GBS_FLAGS		From flags_<type> files
#	    GBS_AUDIT_OPTIONS	($MUST_SHOW_STDOUT)
#	Application:
#	    GBS_CPPTEST_FORMAT	NONE | DEFAULT | VISUAL_C | GNU_C | PRQA | etc
#	    GBSEXT_CPPTEST_REL
#	    GBSEXT_CPPTEST_PATH
#	    GBS_COMPONENT
#============================================================================
use strict;
use warnings;
use integer;
print "*CPPTEST @ARGV\n" if ($ENV{GBSDEBUG_FILE});




use lib "$ENV{GBS_SCRIPTS_PATH}";
use glo::env;
use glo::args;



















my ($SRC_NAME,
$SRC_FILES_COMMA_LIST,
$OUT_FILE_SPEC,
$OUT_PATH,
$OUT_TYPE,
@ARGS
) = ARGS_get( [5], 'perl cpptest.pl <src_name> <src_files_comma_list> <out_file> <out_path> <out_type> [ <args> ... ]', undef);







$| = 1;
my $RC = 0;

ENV_say( 1, "*",
"* This functionality is obsolete",
"* Is is replaced by standard functionality in cpptest.pm",
"* You should remove this entry from the 'audit.gbs' file",
"*");




ENV_exit( $RC);




END
{
ENV_print_end_msg( 0);
}



