@ECHO OFF
::
::   MinGW_GLK: glk: .glk -> .exe
::      arg_1   = file_name     (without type)
::      arg_2   = in_file_spec  (relative file spec)
::      arg_3   = out_file_spec (relative file spec)
::      arg_4   = out_file_dir  (out_file_spec directory only)
::      arg_5   = out_file_type (with dot)
::      arg_6-N = command_flags (from command line)
::  Environment:
::      General:
::          GBS_INCS        libraries
::          GBS_GLKB	    files to include
::          GBS_MAP         NO / YES
::          GBS_DEBUGGER    NO / YES
::      Application:
::          <none>
::============================================================================

setlocal

::
::   Select arguments
::
set file_name=%1
set in_file_spec=%2
set out_file_spec=%3
set out_file_dir=%4
set out_file_type=%5

::
::      Setup Command flags by removing first 5 parameters
::
set command_flags=
if [%6]==[] goto end_flags
  set command_flags=%*
  set command_flags=%command_flags:* =%
  set command_flags=%command_flags:* =%
  set command_flags=%command_flags:* =%
  set command_flags=%command_flags:* =%
  set command_flags=%command_flags:* =%
:end_flags
rem echo command_flags=%command_flags%

::
::  Setup Linker basics
::
if [%GBS_MODE%] == [PROFILING] (
  set LD=ctc -i mt %GBSEXT_MINGW_GCC_PATH%\bin\g++
) else (
  set LD=%GBSEXT_MINGW_GCC_PATH%\bin\gcc
)

::
::  Execute command
::
::set TEMPFILE=%out_file_dir%\%file_name%.tmp
set MAPFILE=%out_file_dir%\%file_name%.map

set COMMAND=%GBS_INCS% %GBS_FLAGS% %GBS_GLKB% %command_flags% -o %out_file_spec%
::echo %COMMAND% > %TEMPFILE%

echo %LD% %COMMAND%
::if [%GBS_MAP%]==[YES] %LD% @%TEMPFILE% 2> %MAPFILE%
::if NOT [%GBS_MAP%]==[YES] %LD% @%TEMPFILE%
%LD% %COMMAND%
set rc=%ERRORLEVEL%

::del %TEMPFILE%

endlocal & set rc=%rc%
exit /B %rc%
::**EOF**
