@ECHO OFF
::
::   Install.bat
::	--q-
::      --site=<site>
::      --verbose-
::	--help
::
setlocal

    ::
    ::  Sanity Checks
    ::
    if not defined APPDATA echo INSTALL_: Fatal Error: System EnvVar APPDATA is not defined
    if not defined APPDATA goto end

    if not defined TEMP echo INSTALL_: Fatal Error: System EnvVar TEMP is not defined
    if not defined TEMP goto end

    set CONDITION=0
    if not exist .\Install.bat set CONDITION=1
    if not exist .\Install.sh  set CONDITION=1
    if not exist .\Install.pl  set CONDITION=1
    if not exist .\Readme.txt  set CONDITION=1
    if %CONDITION% equ 1 echo INSTALL_: Fatal Error: You are not in the proper Install directory
    if %CONDITION% equ 1 goto end

    ::
    ::  Set GBS_BOOT_PATH
    ::
    set GBS_BOOT_PATH="%APPDATA%\.gbs"

    ::
    ::  Create the %APPDATA%\.gbs directory if it does not exist
    ::
    if not exist %GBS_BOOT_PATH% mkdir %GBS_BOOT_PATH% & attrib +h %GBS_BOOT_PATH%

    ::
    ::  Define GBS_SCRIPTS_PATH
    ::
    pushd %~dp0

    set SUBDIR=
    for /D %%A in (*) do set SUBDIR=%%A
    if [%SUBDIR%]==[] goto mode_dev
	echo INSTALL_: GBS version: %SUBDIR%
	set GBS_SCRIPTS_PATH=%CD%\%SUBDIR%
	goto mode_end
    :mode_dev
	::echo INSTALL_: CD=%CD%
	echo INSTALL_: *** In Development Environment ***
	pushd ..
	set GBS_SCRIPTS_PATH=%CD%
	popd
    :mode_end
    echo INSTALL_: GBS_SCRIPTS_PATH set to %GBS_SCRIPTS_PATH%

    ::
    ::  Set GBS_BOOT_PATH, GBS_BASE_PATH and GBS_PERL_CMD
    ::
    call %GBS_SCRIPTS_PATH%\setup\boot.bat

    ::
    ::  Run Install
    ::	  --q
    ::    --site=<site>
    ::	  --help
    ::
    %GBS_PERL_CMD% -w Install.pl %*

    popd
:end
    ::
    ::  Exit
    ::
    echo.
    set /p GBS_WAIT=INSTALL_: Hit ^<Enter^> to finish (and maybe close window):

endlocal

:: **EOF**
